it-swarm-eu.dev

Hai ancora bisogno di disattivare Ricordami quando si esegue la migrazione da 2.5 a 3.x?

Con 3.3 e 3.2.4 è ancora necessario disattivare il plugin Ricordami? Qual è il motivo tecnico?

4
sovainfo

Per rispondere "qual è il motivo tecnico", ho dato un'occhiata al tracker e alle note di GitHub. Il problema sembra essere duplice: un errore nell'eliminazione di determinati file durante l'aggiornamento e un errore nell'applicazione di determinati aggiornamenti SQL. Tuttavia, se riguarda solo alcuni e non altri. Vedi bug tracker per ulteriori informazioni.

L'approccio delle opzioni di buone pratiche generali sembra essere:

Se non è già stato intercettato ...

  • ! Backup
  • Disattivare System -> Remember Me collegare
  • Fai l'aggiornamento
  • Abilitare System -> Remember Me collegare

Se corrotto e nessun backup ...

Quando l'installazione non riesce su url /administrator/index.php?option=com_joomlaupdate&task=update.finalise con errore php '\ plugins\system\remember\remember.php on line 94'

Eseguendo\cli\deletefiles.php dalla riga di comando, quindi aggiornando il /administrator/index.php?option=com_joomlaupdate&task=update.finalise dà il SUCCESSO COMPLETO

Questo commit risolve apparentemente il problema, ma suggerisce che ha a che fare con $this->app non essere prepopolato dal sistema. Potrebbe anche valere la pena dare un'occhiata se quanto sopra fallisce. Tieni presente che questa è una richiesta pull recente (16 aprile 2014) e non è stata approvata nel tracker: YMMV.

6
codinghands

Il problema appare solo su alcuni server, per motivi che non conosco ancora esattamente. Sui miei server funziona senza problemi, ma anche un amico ha avuto questo problema.

Ho fatto una PR che credo risolverà il problema, vedi https://github.com/joomla/joomla-cms/pull/3467 . Se qualcuno che ha questo problema può testare questa patch e vedere se risolve il problema, sarebbe fantastico :-)

1
Bakual